Publishing details

Changelog

nbd (1:2.9.14-2ubuntu1) lucid; urgency=low

  * Merge from Debian Unstable. Remaining changes:
    - Drop /etc/modprobe.d/nbd-client; the kernel default is already
      appropriate.

nbd (1:2.9.14-2) unstable; urgency=low

  * nbd-client initramfs script: No longer hardcode to eth0, since
    initramfs now exports the necessary variables by itself. Thanks,
    Niall Walsh; Closes: #553019.
    - Update README.Debian to reflect that.
  * Eliminate usage of sed in initramfs script, since sed is
    incompatibly incomplete in several completely different
    implementations. Sigh. Thanks, Niall Walsh; Closes: #553022.

nbd (1:2.9.14-1) unstable; urgency=low

  * New upstream release. Closes: #550505

nbd (1:2.9.13-6) unstable; urgency=low

  * Make the manual install invocations install stuff to debian/tmp
    rather than debian/nbd-{client,server}, so that they don't break if
    we're not building nbd-client and therefore the debian/nbd-client
    doesn't exist. This should make the build work again on kfreebsd-*.

nbd (1:2.9.13-5) unstable; urgency=low

  * nbd-server.postinst: Pass --debconf-ok parameter to ucf, to make it
    stop yelling about not being able to use debconf (it was, and
    db_stop wasn't called. This presumably was a bug, but whatever).
  * Remove overrides for dh_gencontrol and dh_builddeb, since debhelper
    7.4 no longer needs -s arguments. Bump required version of debhelper
    in build-depends to 7.4.0
  * Some more clarification and fixes to nbd-client README.Debian
  * Remove stray 'file' with diff output
  * Updated translation: Vietnamese, by Clytie Siddall. Closes: #548027.
  * Fix message at failed umount. Closes: #539766.
  * Add lintian overrides for "missing-stop" on nbd-client.init.d. We
    really do not wish to stop for runlevel 1.

nbd (1:2.9.13-4) unstable; urgency=low

  * Make test for update-initramfs work, so that installation without it
    works.
  * Add Vcs-Browser and Homepage headers, too.
  * Remove --sourcedir argument from dh_install. We don't run make
    install ourselves, so this is a recipe for disaster.
  * Apparently I lost the Dutch debconf translation somehow, so do it
    again.

nbd (1:2.9.13-3) unstable; urgency=low

  * nbd-client initscript:
    - replace `expr $i + 1` by $(( $i + 1 )), since expr is in /usr/bin
      which may not yet be mounted when we run this initscript. Closes:
      #539873.
    - check whether a device is connected at startup, and ignore those
      that are. Since we don't use 'set -e', that makes us compliant
      with the 'must exit successfully and not start the daemon again'
      part of policy 3.8.1.
  * nbd-server.postinst: call adduser only if 'nbd' user does not yet
    exist. Closes: #540604.
  * Convert to debhelper 7's "dh" mode.
  * Replace ifeq() make constructs with debhelper's -s option in a
    couple of overrides. Thanks to Joey Hess for pointing out that the
    option already exists when I filed a wishlist bug asking for it...
    grin.
  * Add debian packaging to git repository, and publish on
    alioth.debian.org, aka git.debian.org.
  * Add Vcs-Git header to debian/control.
  * Policy 3.8.3 compliance

nbd (1:2.9.13-2) unstable; urgency=low

  * The "Black Finger DebConf" release.
  * Add avr32 to nbd-client-udeb, too. Oops. Closes: #533694, hopefully
    for good.
  * nbd-client.README.Debian: add a bit more clarification on how
    root-on-NBD is supposed to work.
  * nbd-client.init.d: parse /proc/cmdline rather than /proc/mounts
    (the same way as how nbd-client.initrd does it) to figure out what
    the NBD root device is, so that root-on-LVM-on-nbd or something
    equally batshit insane does not confuse the sendsigs.omit.d
    generating code.
  * nbd-client.init.d: add support for an OMITKILL variable that will
    allow to specify extra nbd devices that should receive the same
    protection as for the above.
  * nbd-client.config: fetch KILLALL value from /etc/nbd-client (if it
    exists) and use it to db_set nbd-client/killall
  * nbd-client.postinst: fix so that KILLALL is correctly written to
    /etc/nbd-client, even if the number of devices is zero.
  * The above four were inspired by conversations with Vagrant
    Cascadian, while he was working on LTSP support in Debian. Thanks!
  * Updated Swedish translation. Thanks, Martin Bagge; Closes: #534246.

nbd (1:2.9.13-1) unstable; urgency=low

  * New upstream release

nbd (1:2.9.12-3) unstable; urgency=low

  * Add Finnish translation. Thanks, Esko Arajärvi; Closes: #533451.
  * Add 'avr32' to nbd-client's 'Architecture:' list. Closes: #533694.

nbd (1:2.9.12-2) unstable; urgency=low

  * Steal a patch from git HEAD so that nbd-tester-client doesn't try to
    do unaligned access on SPARC.
  * Add German translation too. Oops. Closes: #530835.

nbd (1:2.9.12-1) unstable; urgency=low

  * The "spring cleaning" release.
  * New upstream release.
    - The meaning of the -swap option has been changed; rather than
      trying to use a kernel patch which hasn't been maintained since
      the Linux 2.1.something days, use mlockall() to make sure we don't
      get swapped out. Closes: #409530.
      - Steal patch from git HEAD to document this change in nbd-client(8).
    - Removed (corrupt) winnbd.zip. Closes: #473823.
  * The Debconf templates have been reviewed by the debian-l10n-english
    team; incorporate those changes. Closes: #528476, 430701, 530711.
  * Updated debconf translations, to reflect the above:
    - Dutch, by myself
    - Swedish, by Martin Bagge; Closes: #529859.
    - Czech, by Miroslav Kure; Closes: #530236.
    - French, by Christian Perrier and the French l10n team; Closes: #530332.
    - Portuguese, by "Traduz - Portuguese Translation Team"; Closes: #531303.
  * New debconf translations:
    - Russian, by Yuri Kozlov; Closes: #531203.
  * nbd-client: install nbd-client.modprobe using debhelper rather than
    using our own 'install' invocation. This takes care of giving it the
    proper name (re recent module-init-tools) and moving files from the
    old to the new location. Depend on debhelper (>= 7.2.2) to make sure
    it has the required functionality to handle this correctly.
  * nbd-client.init.d: remove '-k' option from modprobe. This was once
    useful in the 2.4 days, but module-init-tools modprobe has never
    needed that option, and now produces an error message when it's
    used. Closes: #531620.
  * (Conditionally, compliant with the new DEB_BUILD_OPTIONS' "nocheck"
    option) re-enable the test suite. It did /not/ give false positives,
    ever.  However, it did indeed break at some point...
  * Update to debhelper compat level 7.
  * nbd-client.postinst: don't use full path to update-initramfs.
  * copyright: refer to common-licenses/GPL-2 rather than the versionless
    variant.
  * That leaves one TODO for Policy 3.8.1: initscripts must not error
    out when 'start' is called and the daemon is already running. This
    will require some work (it might be there already, but I'm not sure
    and would need to test extensively).

nbd (1:2.9.11-4) unstable; urgency=low

  * Support third parameter in initrd script so that the user can
    explicitly specify what device to connect. Useful when doing
    something crazy like root-on-LVM-on-NBD.
  * Added Swedish debconf translation. Thanks, Martin Bagge; Closes: #513654

nbd (1:2.9.11-3) unstable; urgency=low

  * use atoll() instead of atol(), so that it doesn't overflow on
    positively huge export sizes. Closes: #513568.
 -- Wouter Verhelst <email address hidden>   Mon, 14 Dec 2009 16:35:25 +0000

Available diffs

Builds

Built packages

Package files